
package de.ivu.elect.business.sitzberechnung.control.verteilung;

import de.ivu.elect.sitzberechnung.verteilung.AbstractTeilnehmer;

import de.ivu.elect.business.ergebniskonflikt.entity.SitzberechnungsalgorithmusOption;

public class SitzberechnungsalgorithmusOptionTeilnehmer<T extends SitzberechnungsalgorithmusOption<T>> extends AbstractTeilnehmer<T> {

  private final T option;

  public SitzberechnungsalgorithmusOptionTeilnehmer(T option, long anzahlStimmen) {
    super(option, anzahlStimmen);

    this.option = option;
  }

  public T getOption() {
    return option;
  }
}
